<?php declare(strict_types=1);

/**
 * JTL Plugin
 * Copyright (C) 2011 - 2018 Andreas Petermann
 *
 * PHP version 7.3+
 *
 * @copyright css-umsetzung
 * @author Andreas Petermann <info@css-umsetzung.de>
 *
 */


namespace Plugin\css_warenkorb;



$js_arr = array(
	'<script src="'.$plugin->getPaths()->getAdminURL().'assets/js/vendor/autocomplete/jquery.autocompleter.min.js?v='.$plugin->getMeta()->getVersion().'"></script>',
	'<script src="'.$plugin->getPaths()->getAdminURL().'assets/js/admin.js?v='.$plugin->getMeta()->getVersion().'"></script>',
	'<script src="'.$plugin->getPaths()->getAdminURL().'assets/js/plugin.js?v='.$plugin->getMeta()->getVersion().'"></script>'
);

$css_arr = array(
	'<link rel="stylesheet" type="text/css" href="'.$plugin->getPaths()->getAdminURL().'assets/css/admin.css?v='.$plugin->getMeta()->getVersion().'" media="screen">',
	'<link rel="stylesheet" type="text/css" href="'.$plugin->getPaths()->getAdminURL().'assets/css/plugin.css?v='.$plugin->getMeta()->getVersion().'" media="screen">'
);




$smarty->assign("admin_js",$smarty->getTemplateVars('admin_js').join('',$css_arr).join('',$js_arr));
