<div class="panel panel-default config" style="padding-bottom:150px;">
	<div class="panel-body">
		<fieldset class="border p-2 form-group">
			<legend class="w-auto">{__('Plugin Konfiguration')}</legend>
			<form method="post" action="{$cssAdminURL}">
					<input type="hidden" value="loadBasketConfig" name="cssAdminBasket">
					{$jtl_token}

						<div class="input-group mb-3">
							<div class="input-group-prepend" >
								<span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Warenkorb')}</span>
							</div>
							<select id="BasketChannel" name="loadID"
									class="chosen form-control">
								<option value="0">{__('neuen Warenkorb anlegen / ausw&auml;hlen')}</option>
								{if is_array($basketChannels) && count($basketChannels)>0}
								{foreach from=$basketChannels item=channel }
									<option value="{$channel->id}" {if !empty($channel->id) && $channel->id== $loadID} selected {/if} >{$channel->basketname}</option>
								{/foreach}
								{/if}
							</select>
							<div class="input-group-append">
								<span class="input-group-text">
									<span data-html="true" data-toggle="tooltip" data-placement="left" title=""
										  data-original-title="{__('Hier wählen Sie einen WK aus oder erstellen einen neuen WK.')}">
										<span class="fas fa-info-circle fa-fw"></span>
									</span>
							   </span>
							</div>
						</div>
				</form>

			<hr />


			<form method="post" action="{$cssAdminURL}">

				<input type="hidden" value="{$loadID}" name="loadID">
				<input type="hidden" value="saveBasketConfig" name="cssAdminBasket">
				{$jtl_token}

				<div class="input-group mb-3">
					<div class="input-group-prepend">
						<span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Warenkorbname')}</span>
					</div>
					<input type="text" name="basketname" class="form-control" value="{if !empty($basketConfig->basketname)}{$basketConfig->basketname}{/if}" placeholder="{__('Bitte geben Sie einen Namen ein)')}">
					<div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
						  data-original-title="{__('Bitte geben Sie einen Namen ein anhand um diesen Warenkorb sp&auml;ter besser identifizieren zu k&ouml;nnen.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
					</div>
				</div>



				<div class="input-group mb-3">
					<div class="input-group-prepend input-label" >
						<span class="input-group-text" style="white-space:normal; text-align:left">{__('Url')}</span>
					</div>
					<div class="input-group-prepend position-field position-field-top">
						<input type="text" name="url" value="{if isset($basketConfig->url)}{$basketConfig->url}{/if}" placeholder="ShortUrl" class="form-control">
					</div>
					{if isset($basketConfig->id) && $basketConfig->id}
					<div class="input-group-prepend position-field position-field-right">
						<button title="" data-placement="left" class="btn btn-warning btn-block btn-heading copy-link" type="button">
							<i class="fa fa-copy"></i> Link kopieren
						</button>
					</div>
					<div class="input-group-prepend position-field position-field-right">
						<button title="" data-placement="left" class="btn btn-info  btn-block  btn-heading copy-angebot" type="button">
							<i class="fa fa-copy"></i> Angebot kopieren
						</button>
					</div>
					{/if}

					<div class="input-group-append">
                    <span class="input-group-text">
                        <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
							  data-original-title="{__('Bitte geben Sie eine Url ein, lassen Sie dieses Feld leer wird ein automatischer Link erstellt.')}">
                            <span class="fas fa-info-circle fa-fw"></span>
                        </span>
                   </span>
					</div>
				</div>

				<div class="input-group mb-3">
					<div class="input-group-prepend" >
						<span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Warenkorb ist')}</span>
					</div>
					<select id="urlactive" name="urlactive" class="form-control">
						<Option {if !empty($basketConfig->urlactive) &&  $basketConfig->urlactive=='Y'} selected {/if} value="Y">{__('Aktiviert')}</Option>
						<Option {if !empty($basketConfig->urlactive) &&  $basketConfig->urlactive=='N'} selected {/if} value="N">{__('Deaktiviert')}</Option>
					</select>
					<div class="input-group-append">
						<span class="input-group-text">
							<span data-html="true" data-toggle="tooltip" data-placement="left" title=""
								  data-original-title="{__('Warenkorb ist nicht aktiv / aktiv.')}">
								<span class="fas fa-info-circle fa-fw"></span>
							</span>
					   </span>
					</div>
				</div>
				<hr>

				<div id="infoSprachen">

					{foreach from=$cssSprachen item=cssSprache }
						<div class="panel panel-default">
							<div class="panel-heading">
								<h4 class="panel-title">
									<a data-toggle="collapse" class="InfoCollapse collapsed"  href="#infoSprache-{$cssSprache->cISO}" >
										Zus&auml;tzlicher Infotext {$cssSprache->cNameDeutsch}
									</a>
								</h4>
							</div>
							<div id="infoSprache-{$cssSprache->cISO}" class="panel-InfoCollapse collapse "  style="margin:10px 20px">

								<textarea id="cssInhalt-{$cssSprache->cISO}" name="info[{$cssSprache->cISO}]" class="form-control ckeditor tinymce" rows="15" cols="60">{if isset($basketConfig->info[$cssSprache->cISO])}{$basketConfig->info[$cssSprache->cISO]}{/if}</textarea>
							</div>
						</div>
					{/foreach}
				</div>
<hr>
				<div class="info alert-info" style="padding: 10px;">
					<p>Sie k&ouml;nnen hier die zum Warenkorb geh&ouml;renden Artikel und die gew&uuml;nschte Menge eintragen sowie auch einzelne Artikel entfernen, bitte beachten Sie, dass die Liste
						nur aktualisiert wird, wenn Sie den Speicherbutton bet&auml;tigt haben.</p>
				</div>

				<div class="basket-list" style="margin-top:15px;">
					{if count($basketConfig->article)}
					{foreach from=$basketConfig->article item=item }

						<div class="input-group mb-3">
							<div class="input-group-prepend input-label" >
								<span class="input-group-text" style="white-space:normal; text-align:left">{__('Url')}</span>
								<input type="hidden" value="{$item['kArtikel']}" class="articleId" name="article[]" />
							</div>
							<div class="input-group-prepend article-selector">
								<input name="articlename[]" class="form-control css-autocomplete" value="{$item['cName']}">
							</div>

							<div class="input-group-prepend " style="min-width:60px; max-width:60px">
								<input data-default="1" name="quantity[]" class="form-control text-right" value="{$item['quantity']}">
							</div>

							<div class="input-group-prepend" style="min-width:60px; max-width:60px">
								<button title="" data-placement="left" data-toggle="tooltip" onclick="$(this).closest('.input-group').find('.textarea').slideToggle();" data-html="true" class=" btn  btn-block btn-warning btn-heading css-edit" type="button"
										data-original-title="Zusätzlicher Text.">
									<i class="fa fa-edit"></i>
								</button>
							</div>
							<div class="input-group-prepend" style="min-width:60px; max-width:60px">
								<button title="" data-placement="left" data-toggle="tooltip" data-html="true" class=" btn  btn-block  btn-danger btn-heading css-minus" type="button">
									<i class="fa fa-trash"></i>
								</button>
							</div>
							<div class="input-group-append" style="min-width:60px; max-width:60px">
								<button title="" data-placement="left" data-html="true" class="btn btn-block btn-success btn-heading css-plus" type="button">
									<i class="fa fa-plus"></i>
								</button>
							</div>
							<div class="textarea input-group-prepend" style="display:none; width:100% ">
								<textarea name='cInfoText[]' class="form-control" style="width:100%; ">{$item['cInfoText']|default:""}</textarea>
							</div>
						</div>

					{/foreach}
					{/if}
				</div>

				<div class="save-wrapper">
					<div class="row">
									{if $loadID}
										<div class="col col-xs-4 text-left" >
											<button class="btn btn-secondary error" value="senden" type="button" name="remove">
												<i class="fa fa-trash"></i> l&ouml;schen
											</button>
										</div>
										<div class="col col-xs-4 text-center" >
											<a href="plugin.php?kPlugin={$kPlugin}&csv={$loadID}" target="_blank" class="btn btn-success">
												<i class="fa fa-download"></i> CSV Download
											</a>
										</div>
									{/if}
									<div class="col col-xs-{if $loadID}4{else}12{/if} text-right" >
										<button class="btn btn-primary" value="senden" type="submit" name="senden">
											<i class="fa fa-save"></i> speichern
										</button>
									</div>
					</div>
				</div>
			</form>
		</fieldset>

	</div>
</div>


<script>
	$(function() {
		$.cssFilledBasket({
			showDebug : false,
			web : '{$cssWeb}',
			minLength: {$cssConfig->searchLetters},
			source : '{$autocompleteUrl}'
		});
	});
</script>
