{if !empty($cHinweis)}<div class="alert alert-success">{$cHinweis}</div>{/if}
{if !empty($cError)}<div class="alert alert-danger">{$cError}</div>{/if}

<form method="post" class="css-config-form">
    {$jtl_token}
    <input type="hidden" name="kPlugin" value="{$oPlugin->getID()}"/>
    <input type="hidden" name="cssAdminConfigAction" value="saveConfig" />

    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Plugin Konfiguration')}</legend>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Das Plugin ist')}</span>
            </div>
            <select id="pluginActive" name="pluginActive" class="form-control">
                <Option {if $pluginConfig->pluginActive=='Y'} selected {/if} value="Y">{__('Aktiviert')}</Option>
                <Option {if $pluginConfig->pluginActive=='N'} selected {/if} value="N">{__('Deaktiviert')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen Sie fest ob das Plugin aktiv ist.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>



        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Artikel für den Warenkorb:')}</span>
            </div>
            <div class="col-xs col-sd col-md" style="padding:0; border-radius:0;">
                <select id="basketArticle" name="basketArticle" class="form-control" >
                    <Option {if $pluginConfig->basketArticle== 'D'} selected {/if} value="D">Immer direkt in den Warenkorb legen</Option>
                    <Option {if $pluginConfig->basketArticle== 'O'} selected {/if} value="O">Auflisten wenn der Warenkorb bereits Artikel enth&auml;lt</Option>
                    <Option {if $pluginConfig->basketArticle== 'A'} selected {/if} value="A">Artikel f&uuml;r den Warenkorb immer erst Auflisten</Option>
                </select>
            </div>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben Sie an, wie Sie bei einem Aufruf eines Warenkorblinks verfahren möchten.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Ajax Suche nach:')}</span>
            </div>
            <div class="col-xs col-sd col-md" style="padding:0; border-radius:0;">
                <select id="searchFor" name="searchFor" class="form-control" >
                    <Option {if $pluginConfig->searchFor== 'B'} selected {/if} value="B">Produktbezeichnung &amp; Artikelnummern</Option>
                    <Option {if $pluginConfig->searchFor== 'A'} selected {/if} value="A">Artikelnummern</Option>
                    <Option {if $pluginConfig->searchFor== 'P'} selected {/if} value="P">Produktbezeichnung</Option>
                </select>
            </div>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Beschleunigen Sie die Ajax Suche indem Sie geziehlt nach Artikelnummern suchen (empfohlen wenn Sie sehr viele Artikel haben)')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Artikel Suchen nach:')}</span>
            </div>
            <div class="col-xs col-sd col-md" style="padding:0; border-radius:0;">
                <select id="searchIn" name="searchIn" class="form-control" >
                    <Option {if $pluginConfig->searchIn== 'B'} selected {/if} value="B">Anfang der Produktbezeichnung oder Artikelnummer</Option>
                    <Option {if $pluginConfig->searchIn== 'T'} selected {/if} value="T">Teil  der Produktbezeichnung oder Artikelnummer </Option>
                </select>
            </div>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('wenn Sie viele Artikel haben die mit Ihrem Namen gleich anfangen, empfiehlt es sich nach Teilen der Bezeichnung oder Artikelnummer zu suchen.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Ajax Suche starten ab')}</span>
            </div>
            <div class="col-xs col-sd col-md" style="padding:0; border-radius:0;">
                <select id="searchLetters" name="searchLetters" class="form-control" >
                    {for $cssCount=1 to 10 }
                        <Option {if $pluginConfig->searchLetters== $cssCount} selected {/if} value="{$cssCount}">{$cssCount} Zeichen</Option>
                    {/for}
                </select>
            </div>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Beschleunigen Sie die Ajax Suche indem Sie erst nach xx Zeichen anfangen zu suchen')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Anzahl der gefundenen Treffer')}</span>
            </div>
            <input type="text" name="searchLimit" class="form-control" value="{$pluginConfig->searchLimit}" placeholder="{__('10')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte beachten Sie, je mehr Treffer Sie anzeigen lassen um so l&auml;nger braucht das System um diese zusammenzustellen. Die Suche wird mit jeder Eingabe verfeinert, es ist also nicht erforderlich sich 100 Treffer bei der Eingabe eines Buchstaben anzeigen zu lassen.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Automatisierte Links besitzen')}</span>
            </div>
            <select id="shortLetters" name="shortLetters" class="form-control" >
                {for $cssCount=5 to 20 }
                    <Option {if $pluginConfig->shortLetters== $cssCount} selected {/if} value="{$cssCount}">{$cssCount} Zeichen</Option>
                {/for}
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Sie können die länge der Links hier konfigurieren.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Selektor für die Warenkorbnachricht')}</span>
            </div>
            <input type="text" name="noticeSelector" class="form-control" value="{$pluginConfig->noticeSelector}" placeholder="{__('#content .basket-heading (oder &auml;hnliches)')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Bitte geben Sie den Selector ein wo der Hinweis bei einem Fehler angezeigt werden soll.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Position f&uuml;r die Warenkorbnachricht')}</span>
            </div>
            <select id="noticePosition" name="noticePosition"
                    class="form-control">
                <Option {if $pluginConfig->noticePosition=='prepend'} selected {/if} value="prepend">Am Anfang des Elements</Option>
                <Option {if $pluginConfig->noticePosition=='append' } selected {/if} value="append">Am Ende des Elements</Option>
                <Option {if $pluginConfig->noticePosition=='before'} selected {/if} value="before" >vor dem Element</Option>
                <Option {if $pluginConfig->noticePosition=='after'} selected {/if} value="after" >Nach dem Element</Option>
                <Option {if $pluginConfig->noticePosition=='html'} selected {/if} value="html" >Inhalt des Elements ersetzen</Option>
                <Option {if $pluginConfig->noticePosition=='replace'} selected {/if} value="replace" >Element ersetzen</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('W&auml;hlen  Sie die Position und die Art, wie die Inhalte eingesetzt werden sollen')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

    </fieldset>

    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Template Konfiguration / Zusätzliche Styles / JavaScript')}</legend>


        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Template Framework')}</span>
            </div>
            <select id="framework" name="framework" class="form-control">
                <Option {if $pluginConfig->framework=='B3'} selected {/if} value="B3">{__('Bootstrap 3 (z.B. EVO)')}</Option>
                <Option {if $pluginConfig->framework=='B4'} selected {/if} value="B4">{__('Bootstrap 4 (z.B. NOVA)')}</Option>
                {if isset($bHasCustom)}
                    <Option {if $pluginConfig->framework=='custom'} selected {/if} value="custom">{__('Custom (Ihre eigene updatesichere Pluginmodifikation)')}</Option>
                {/if}
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier geben Sie an, welches Framework Ihr Template nutzt, Wenn Sie es nicht wissen, fragen Sie bitte den Hersteller des Templates.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>


        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Styles')}</span>
            </div>
            <div class="input-group-append" style="flex: 1 0 60%;">
                <textarea  style="min-height:60px;" class="form-control css-codemirror sass" id="css" name="css">{$pluginConfig->css}</textarea>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('JavaScript')}</span>
            </div>
            <div class="input-group-append" style="flex: 1 0 60%;">
                <textarea  style="min-height:60px;" class="form-control css-codemirror JavaScript" id="js" name="js">{$pluginConfig->js}</textarea>
            </div>
        </div>
    </fieldset>

    <div class="save-wrapper">
        <div class="ml-auto col-sm-6 col-xl-auto">
            <button name="a" type="submit" value="" class="btn btn-outline-primary btn-block save">
                <i class="fas fa-save"></i>&nbsp;{__('Konfiguration speichern')}
            </button>
        </div>
    </div>

</form>

